--Wing Commander Music
--Vendetta music replacement by Phil Spencer

wctimer = Timer()
wctimer2 = Timer()
wc_enemydetected = 0
wc_enemymusic = 0

function wctheme()
   gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wctheme.ogg')
end

function wc_enterbar()
   wc_enemymusic = 0
   wc_enemydetected = 0
   gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcbar.ogg')
end

function wc_checksector(char_id)
   if GetStationLocation() then
      return
   end
   if GetFriendlyStatus(char_id) < 3 then
      if char_id > 0 then
         wc_enemydetected = 1
      end
   end
end

function wc_entergame()
  wc_enemydetected = 0
  wctimer:SetTimeout(1000,ForEachPlayer(wc_checksector))
  wctimer2:SetTimeout(2000,wc_battle)
  if GetStationLocation() then
        wc_enterbar()  
     return
  end
  wc_travelmusic()
end

function wc_travelmusic()
   local music = {}
   music = math.random(4)
   if music == 1 then
      gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcpatrol.ogg')   
   end
   if music == 2 then
      gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcstrike.ogg')
   end
   if music == 3 then
      gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcescort.ogg')
   end
   if music == 4 then
      gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcpatrol2.ogg')   
   end
end

function wc_battle()
   local health
   wctimer:SetTimeout(1000,ForEachPlayer(wc_checksector))
   wctimer2:SetTimeout(2000,wc_battle)
   health = GetPlayerHealth(GetCharacterIDByName(GetPlayerName()))
   if health == -1 then
      return
   end
   if wc_enemydetected == 1 then
      if wc_enemymusic == 0 then
         if health < 11 then
            gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcdamaged.ogg')
            wc_enemymusic = 3   
            wc_enemydetected = 0
            return
         end
         if health < 40 then
            gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcbattle2.ogg')
            wc_enemymusic = 2   
            wc_enemydetected = 0
            return
         end 
         gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcbattle.ogg')   
         wc_enemymusic = 1
      end
      if health < 40  then
         if health < 10 then
            if wc_enemymusic < 3 then
               gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcdamaged.ogg')
               wc_enemymusic = 3   
            end 
         end
         if wc_enemymusic == 1 then
            gkinterface.GKProcessCommand('playmusic plugins/wcmusic/wcbattle2.ogg')
            wc_enemymusic = 2   
         end
      end
      wc_enemydetected = 0
      return
   end
   if wc_enemymusic > 0  then
      wc_enemymusic = 0
      wc_travelmusic()
   end
end

RegisterEvent(wctheme,"START")
RegisterEvent(wc_entergame,"PLAYER_ENTERED_GAME")
RegisterEvent(wc_enterbar,"ENTERED_STATION")
RegisterEvent(wc_travelmusic,"LEAVING_STATION")

